Subject: Re: [RFC PATCH net-next] pktgen: clean up ktime_t helpers

From: Cong Wang <[email-masked]>
Date: Sun, 28 Oct 2012 14:31:31 +0000 (UTC)

On Fri, 26 Oct 2012 at 11:42 GMT, Daniel Borkmann <[email-masked]> wrote:
> Some years ago, the ktime_t helper functions ktime_now() and ktime_lt()
> have been introduced. Instead of defining them inside pktgen.c, they
> should either use ktime_t library functions or, if not available, they
> should be defined in ktime.h, so that also others can benefit from them.
> ktime_compare() is introduced with a similar notion as in timespec_compare().
>
> Signed-off-by: Daniel Borkmann <[email-masked]>

Looks good. This is a cleanup patch, doesn't need to be RFC, I think.

Thanks.